Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 2261524

Summary: pocl: FTBFS in Fedora rawhide/f40
Product: [Fedora] Fedora Reporter: Fedora Release Engineering <releng>
Component: poclAssignee: Vitaly <vitaly>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: besser82, igor.raits, serge.guelton, vitaly
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: pocl-5.0-2.fc40 Doc Type: ---
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2024-03-29 00:19:50 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 2231791    
Attachments:
Description Flags
build.log
none
root.log
none
state.log none

Description Fedora Release Engineering 2024-01-29 21:33:12 UTC
pocl failed to build from source in Fedora rawhide/f40

https://koji.fedoraproject.org/koji/taskinfo?taskID=112373235


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
Please fix pocl at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
pocl will be orphaned. Before branching of Fedora 41,
pocl will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/

Comment 1 Fedora Release Engineering 2024-01-29 21:33:18 UTC
Created attachment 2013068 [details]
build.log

Comment 2 Fedora Release Engineering 2024-01-29 21:33:23 UTC
Created attachment 2013069 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2024-01-29 21:33:26 UTC
Created attachment 2013070 [details]
state.log

Comment 4 Fedora Update System 2024-03-28 15:19:05 UTC
FEDORA-2024-2d92d0a6ea (pocl-5.0-2.fc40 and psi-plus-1.5.1650-4.fc40) has been submitted as an update to Fedora 40.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-2d92d0a6ea

Comment 5 Fedora Update System 2024-03-29 00:19:50 UTC
FEDORA-2024-2d92d0a6ea (pocl-5.0-2.fc40 and psi-plus-1.5.1650-4.fc40) has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.